<div class="container" >
	<mat-spinner *ngIf="isBusy" class="busy"></mat-spinner>
	<div class="left">
		<faas-function (refreshEvent)="onRefresh()" [projectModel]="selectedProjectModel" [readOnly]="true"></faas-function>
	</div>
	<div class="right">
		<mat-form-field class="filter">
			<input matInput [formControl]="projectFilterFormControl" placeholder="Filter projects">
		</mat-form-field>
		<faas-function-list [selectedId]="selectedId" (projectChosen)="onProjectChosen($event)" (changeProjectStatus)="onChangeProjectState($event)"
			(removeProject)="onRemoveProject($event)" [projects]="displayedProjectModels"></faas-function-list>
	</div>
</div>